%define name 	wvstreams
%define version 3.74.0
%define release 4mdk

%define major	3.74
%define libname %mklibname %{name} %{major}
%define libname_orig lib%{name}

Name:		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	LGPL
Group:          System/Libraries
Group:          Development/C
Summary: 	WvStreams is a network programming library written in C++.
URL: 		http://open.nit.ca/wvstreams
Source: 	http://open.nit.ca/download/wvstreams-%{version}.tar.bz2
Patch0:		%{name}-%{version}-db1.patch.bz2
Patch1:		wvstreams-3.74.0-libs.patch.bz2
Patch2:		wvstreams-3.74.0-gcc34.patch.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: 	openssl-devel
BuildRequires: 	zlib-devel
BuildRequires:	db1-devel

%description
WvStreams aims to be an efficient, secure, and easy-to-use library for
doing network applications development.

%package -n %{libname}
Group:          System/Libraries
Summary: 	WvStreams is a network programming library written in C++.

%description -n %{libname}
WvStreams aims to be an efficient, secure, and easy-to-use library for
doing network applications development.

%package -n %{libname}-devel
Summary: Development files for WvStreams.
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: %{libname_orig}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
WvStreams aims to be an efficient, secure, and easy-to-use library for
doing network applications development. This package contains the files
needed for developing applications which use WvStreams.

%prep
%setup -q
%patch0 -p1 -b .db1
%patch1 -p1 -b .libs
%patch2 -b .gcc34

%build
%configure --with-bdb --with-openssl --with-zlib --with-fam=no --with-fftw=no --with-gdbm=no --with-gtk=no --with-ogg=no --with-pam=no --with-qt=no --with-speex=no --with-vorbis=no --with-xplc=no

%make COPTS="$RPM_OPT_FLAGS -fPIC" CXXOPTS="$RPM_OPT_FLAGS -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING.LIB README
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/wvstreams
%{_libdir}/*.a
%{_libdir}/*.so

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%changelog
* Fri Jul  9 2004 Olivier Blin <blino@mandrake.org> 3.74.0-4mdk
- Patch2: gcc34 fixes

* Thu Apr 15 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.74.0-3mdk
- build fixes

* Sun Jan 18 2004 Olivier Blin <blino@mandrake.org> 3.74.0-2mdk
- buildrequires db1-devel
- disable unneeded options in configure (thanks to Charles A Edwards)

* Tue Dec 23 2003 Olivier Blin <blino@mandrake.org> 3.74.0-1mdk
- disable speex (API has changed, it can't compile)
- use $RPM_OPT_FLAGS and -fPIC for C++ too
- use %%makeinstall
- really use %%make
- mklibname
- add patch to find and use db1 (Patch0)
  (unable to use dbopen() from db4 in C++ code)
- drop -redhat and -gcc3 patch, wvrules.mk is not used anymore
- drop OpenSSL patch (code has been dropped)
- new release

* Thu Jul 31 2003 Gtz Waschk <waschk@linux-mandrake.com> 3.70-3mdk
- fix buildrequires

* Tue Jul 22 2003 Per yvind Karlsen <peroyvind@sintrax.net> 3.70-2mdk
- rebuild
- use %%make macro
- correct a const/not-const type mismatch that breaks compilation with newer
  OpenSSL (P2 from rawhide)

* Tue Dec 17 2002 Aurelien Lemaire <alemaire@mandrakesoft.com> 3.70-1mdk
- Initial Mandrakesoft version
- Clean spec file
- Add major number 

* Tue Sep 10 2002 Mike A. Harris <mharris@redhat.com> 3.70-6
- use FHS macros for multilib systems

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Mon Jul 22 2002 Tim Powers <timp@redhat.com>
- rebuild using gcc-3.2-0.1

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 20 2002 Nalin Dahyabhai <nalin@redhat.com> 3.70-1
- patch to build with gcc 3.x
- build with -fPIC

* Wed Apr 10 2002 Nalin Dahyabhai <nalin@redhat.com>
- update to 3.70

* Wed Mar 27 2002 Nalin Dahyabhai <nalin@redhat.com> 3.69-1
- pull in from upstream tarball

* Wed Feb 27 2002 Nalin Dahyabhai <nalin@redhat.com>
- merge the main and -devel packages into one .spec file
- use globbing to shorten the file lists
- don't define name, version, and release as macros (RPM does this by default)
- use the License: tag instead of Copyright: (equivalent at the package level,
  but License: reflects the intent of the tag better)
- use a URL to point to the source of the source tarball
- add BuildRequires: openssl-devel (libwvcrypto uses libcrypto)
- move the buildroot to be under %%{_tmppath}, so that it can be moved by
  altering RPM's configuration

* Tue Jan 29 2002 Patrick Patterson <ppatters@nit.ca>
- Initial Release of WvStreams
